MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0027337Open CASCADE[OCCT] OCCT:Visualizationpublic2016-04-02 15:482016-06-08 13:44
Reporterabv 
Assigned Toabv 
PrioritynormalSeverityminor 
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version 
Target Version[OCCT] 7.0.0Fixed in Version[OCCT] 7.0.0 
Summary0027337: [Regression vs. 6.9.1] Selection highlight is poor in ray traced mode with FSAA
DescriptionThe problem is observed in DRAW samples Penrose.tcl and raytrace.tcl

When ray tracing is enabled with FSAA, selection highlight looks like it does not take into account depth buffer properly: even edges which are behind shaded objects are highlighted, and at the same time all highlight lines are 'dashed'. Note that the 'dashing' is different each next time, which suggests that some non-initialized data are used.

See attached picture for illustration.
Steps To Reproducepload MODELING VISUALIZATION
box b 10 10 10
vdisplay b
vsetdispmode 1
vfit
vrenderparams -rayTrace -fsaa
vmoveto 200 200
TagsNo tags attached.
Test case numberbugs vis bug27337
Attached Filespng file icon bug_rtfsaa_highlight.png (9,460 bytes) 2016-04-02 15:48

- Relationships
related to 0026571closedabv Visualization, TKOpenGl - write depth values within RayTracing program 
related to 0027579closedbugmaster Visualization, TKOpenGl - skip FSAA flag within Path Tracing 

-  Notes
(0052324)
git (administrator)
2016-04-04 12:18

Branch CR27337 has been created by duv.

SHA-1: ce5f69c6d11306ccd80313cfb92bd352488182b7


Detailed log of new commits:

Author: duv
Date: Mon Apr 4 12:16:49 2016 +0300

    0027337: [Regression vs. 6.9.1] Selection highlight is poor in ray traced mode with FSAA
(0052325)
duv (developer)
2016-04-04 12:20

Dear kgv,

please review the patch.
(0052326)
duv (developer)
2016-04-04 12:30

For FSAA mode we now store the depth values from first sample in myRaytraceFBO1 and do not modify it while collecting the rest of samples. When all samples are gathered we fetch color from myRaytraceFBO2 and depth from myRaytraceFBO1 and display it to the current FBO.
(0052335)
git (administrator)
2016-04-04 14:02

Branch CR27337 has been updated by abv.

SHA-1: c32601b3f4bb110e82a5dd4d7fc9e636046962a6


Detailed log of new commits:

Author: duv
Date: Mon Apr 4 12:16:49 2016 +0300

    0027337: [Regression vs. 6.9.1] Selection highlight is poor in ray traced mode with FSAA
    
    For FSAA mode we now store the depth values from first sample in myRaytraceFBO1 and do not modify it while collecting the rest of samples.
    When all samples are gathered we fetch color from myRaytraceFBO2 and depth from myRaytraceFBO1 and display it to the current FBO.
    
    Test bugs vis bug27237 added.

(0052336)
abv (manager)
2016-04-04 14:04

I have added a test case and tested on Windows on my workstation; please compile and run test bugs vis bug27337 on Linux and Windows in test environment to ensure that new test passes
(0052345)
git (administrator)
2016-04-04 15:41

Branch CR27337 has been updated by apv.

SHA-1: 3cccbbc833f4588c4287f17f43cb3dfe690a35fd


Detailed log of new commits:

Author: apv
Date: Mon Apr 4 15:41:20 2016 +0300

    Renaming of test case according to the issue 0027337

(0052346)
apv (tester)
2016-04-04 15:44

Dear BugMaster,

Branch CR27337 from occt git-repository (and master from products git-repository) was compiled on Linux, MacOS and Windows platforms.
SHA-1: 3cccbbc833f4588c4287f17f43cb3dfe690a35fd

Number of compiler warnings:
occt component:
   Linux: 0 (0 on master)
   Windows: 0 (0 on master)
   MacOS: 0 (0 on master)
products component:
   Linux: 68
   Windows: 0
   MacOS: 1125

Testing cases:
bugs vis bug27337 - OK
http://occt-tests/CR27337-master-OCCT/Debian70-64/bugs/vis/bug27337.html [^]
http://occt-tests/CR27337-master-OCCT/Windows-64-VC10/bugs/vis/bug27337.html [^]
(0052793)
git (administrator)
2016-04-17 12:57

Branch CR27337 has been deleted by kgv.

SHA-1: 3cccbbc833f4588c4287f17f43cb3dfe690a35fd

- Related Changesets
occt: master d9e72440
Timestamp: 2016-04-04 09:16:49
Author: abv
Committer: abv
Details ] Diff ]
0027337: [Regression vs. 6.9.1] Selection highlight is poor in ray traced mode with FSAA

For FSAA mode we now store the depth values from first sample in myRaytraceFBO1 and do not modify it while collecting the rest of samples.
When all samples are gathered we fetch color from myRaytraceFBO2 and depth from myRaytraceFBO1 and display it to the current FBO.

Test bugs vis bug27337 added.
mod - src/OpenGl/OpenGl_View_Raytrace.cxx Diff ] File ]
mod - src/Shaders/Display.fs Diff ] File ]
add - tests/bugs/vis/bug27337 Diff ] File ]

- Issue History
Date Modified Username Field Change
2016-04-02 15:48 abv New Issue
2016-04-02 15:48 abv Assigned To => kgv
2016-04-02 15:48 abv File Added: bug_rtfsaa_highlight.png
2016-04-02 15:52 kgv Relationship added related to 0026571
2016-04-02 16:44 abv Description Updated View Revisions
2016-04-02 16:48 kgv Assigned To kgv => duv
2016-04-02 16:48 kgv Status new => assigned
2016-04-04 12:18 git Note Added: 0052324
2016-04-04 12:20 duv Note Added: 0052325
2016-04-04 12:20 duv Assigned To duv => kgv
2016-04-04 12:20 duv Status assigned => resolved
2016-04-04 12:30 duv Note Added: 0052326
2016-04-04 14:02 git Note Added: 0052335
2016-04-04 14:02 kgv Assigned To kgv => bugmaster
2016-04-04 14:02 kgv Status resolved => reviewed
2016-04-04 14:04 abv Note Added: 0052336
2016-04-04 14:04 abv Steps to Reproduce Updated View Revisions
2016-04-04 14:21 apv Assigned To bugmaster => apv
2016-04-04 15:33 apv Test case number => bugs vis bug27337
2016-04-04 15:41 git Note Added: 0052345
2016-04-04 15:44 apv Note Added: 0052346
2016-04-04 15:44 apv Assigned To apv => bugmaster
2016-04-04 15:44 apv Status reviewed => tested
2016-04-06 10:33 abv Changeset attached => occt master d9e72440
2016-04-06 10:33 abv Assigned To bugmaster => abv
2016-04-06 10:33 abv Status tested => verified
2016-04-06 10:33 abv Resolution open => fixed
2016-04-17 12:57 git Note Added: 0052793
2016-04-20 15:43 aiv Fixed in Version => 7.0.0
2016-04-20 15:49 aiv Status verified => closed
2016-06-08 13:44 kgv Relationship added related to 0027579


Copyright © 2000 - 2019 MantisBT Team
Powered by Mantis Bugtracker